PDA

View Full Version : [FIXED] Absolute layout - strange requires



LesJ
25 May 2011, 2:22 AM
See this code. It is rather strange that the absolute layout would require anything from the charting package. I'm trying to lay out three combo boxes... why would I need charting code?:-?


Ext.define('Ext.layout.container.Absolute', {

.....
requires: ['Ext.chart.axis.Axis', 'Ext.fx.Anim'],
.....

rich02818
25 May 2011, 4:14 AM
If the 'required' code is actually used this might be a clue as to the performance degradation...


See this code. It is rather strange that the absolute layout would require anything from the charting package. I'm trying to lay out three combo boxes... why would I need charting code?:-?


Ext.define('Ext.layout.container.Absolute', {

.....
requires: ['Ext.chart.axis.Axis', 'Ext.fx.Anim'],
.....

LesJ
15 Jun 2011, 2:53 AM
See this code. It is rather strange that the absolute layout would require anything from the charting package. I'm trying to lay out three combo boxes... why would I need charting code?:-?


Ext.define('Ext.layout.container.Absolute', {

.....
requires: ['Ext.chart.axis.Axis', 'Ext.fx.Anim'],
.....

Is anyone checking this... why absolute layout would require to download a megaton of charting code?

LesJ
31 Aug 2011, 12:31 PM
I see this was fixed in 4.0.5, but it's still an issue in 4.0.2a.

Thanks!